<?
include_once('includes/top.php');
include_once('opendb.php');
$brcode=$_SESSION['brcode'];
$user=$_SESSION['user'];
$fromdt=$_REQUEST['fromdt'];
$todt=$_REQUEST['todt'];
//$br=$_SESSION['branch'];
if(strlen($user)<=0)
{
  print "<script> alert('Invalid User'); document.location='inde.php' </script>";
  return;
}

?>
<link href="css/form.css" type="text/css" rel="stylesheet" media="screen"  />
<html>
<body >
<title>Credit Sale Report</title>
<link rel="stylesheet" href="style.css" type="text/css" />
<script type="text/javascript" src="scripts/jquery-latest.js"></script>
<link type="text/css" href="includes/style1.css" rel="stylesheet" />
<link type="text/css" href="css/form.css" rel="stylesheet" />
<link rel="stylesheet" href="cal/jquery-ui.css" />
<script src="cal/jquery-1.9.1.js"></script>
<script src="cal/jquery-ui1.js"></script>
<link rel="stylesheet" href="/resources/demos/style.css" />
<script type="text/javascript">
$(function() {
$( "#ref_date" ).datepicker("destroy");
     var fyr=document.getElementById('f_yr').value;
     var splv=fyr.explode("-");
     var syr=splv[0];
     var eyr='20'.concat(splv[1]);
     var syr1='01-04-';
     var eyr1='31-03-';
     var stfnyr=syr1.concat(syr);
     var efnyr=eyr1.concat(eyr);
     $("#ref_date").datepicker({ dateFormat: 'dd-mm-yy', minDate: stfnyr, maxDate: efnyr});

$( "#ref_date1" ).datepicker("destroy");
     var fyr=document.getElementById('f_yr').value;
     var splv=fyr.explode("-");
     var syr=splv[0];
     var eyr='20'.concat(splv[1]);
     var syr1='01-04-';
     var eyr1='31-03-';
     var stfnyr=syr1.concat(syr);
     var efnyr=eyr1.concat(eyr);
     $("#ref_date1").datepicker({ dateFormat: 'dd-mm-yy', minDate: stfnyr, maxDate: efnyr});
});
</script>
<script>
function valid()
{
}
</script>
<style>
#txt{
font-family: Arial, Helvetica;
background-color: #F2F2F2;
}
</style>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script type="text/javascript">
window.onload = function(){
new JsDatePick({
  useMode:2,
  target:"inputField",
  dateFormat:"%Y-%m-%d"
});
new JsDatePick({
  useMode:2,
  target:"inputField1",
  dateFormat:"%Y-%m-%d"
});

};
</script>

<SCRIPT LANGUAGE="JavaScript" SRC="util/PopupWindow.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/AnchorPosition.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/CalendarPopup.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/date.js"></SCRIPT>
<script>

var cal1 = new CalendarPopup();
cal1.showYearNavigation();

var cal2 = new CalendarPopup();
cal2.showYearNavigation();

</script>
<style>
th{
    // background-color: grey;
    font-weight: bold;
    color: white;
    border:1px solid #D7D7D1;
    border-collapse:collapse;
background: rgb(181,189,200); /* Old browsers */
background: -moz-linear-gradient(top, rgba(181,189,200,1) 0%, rgba(130,140,149,1) 36%, rgba(40,52,59,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(181,189,200,1)), color-stop(36%,rgba(130,140,149,1)), color-stop(100%,rgba(40,52,59,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* IE10+ */
background: linear-gradient(to bottom, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#b5bdc8', endColorstr='#28343b',GradientType=0 ); /* IE6-9 */
}
.ro_settled td
{
background: #6bba70; /* Old browsers */
background: -moz-linear-gradient(top, #6bba70 0%, #6bba70 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#6bba70), color-stop(100%,#6bba70)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* IE10+ */
background: linear-gradient(to bottom, #6bba70 0%,#6bba70 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6bba70', endColorstr='#6bba70',GradientType=0 ); /* IE6-9 */
color:white;
}
.ro_settl td
{
background: #6bba70; /* Old browsers */
background: -moz-linear-gradient(top, #6bba70 0%, #6bba70 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#6bba70), color-stop(100%,#6bba70)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* IE10+ */
background: linear-gradient(to bottom, #6bba70 0%,#6bba70 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6bba70', endColorstr='#6bba70',GradientType=0 ); /* IE6-9 */
color:red;
}
</style>
<body background="back_ground.jpg">
<?php //include('logo2.php'); ?>
<?php //include('includes/top.php'); ?>
<form action='<?print $PHP_SELF?>' method='post' name = 'f1'>
<br>
<table class="container"><tr><td>
<br>
<center>
<table class="form" style="width:auto;" align='center' >
<tr><th style="background:grey;">CREDIT SALE REPORT</th></tr>
<tr><td><input type=hidden name='f_yr' id='f_yr' value='<? echo $fin_year ?>'>
<?if($fromdt>0){?>
      Show Report From <input type="text" id="ref_date" value="<?echo $fromdt;?>" name="fromdt" readonly  >
<?} else {?>
     Show Report From <input type="text" id="ref_date" value="<?echo date('d-m-Y');?>" name="fromdt" readonly  >
    <?}?>
<?if($todt>0){?>
 To <input type="text" id="ref_date1" name="todt" value="<?echo $todt;?>" readonly > </td></tr>
<?} else {?>
  To <input type="text" id="ref_date1" name="todt" value="<?echo date('d-m-Y');?>" readonly > </td></tr>
  <?}?>
<tr><td align='center'>Report by:<select name='type' ><option>All</option>
<input type='submit' name='show' value='Show' >
<input type='button' value='Print' onclick=printexc()><input type='button' value='Print(Brief)' onclick=printexc_brf()><input type='button' value='Print To Excel' onclick=printexcel()></td></tr></form>
</table>
<br><br>
<?
if(isset($_POST['show']))
{
  $fromdt=$_REQUEST['fromdt'];
  $todt=$_REQUEST['todt'];
  $mfrom_date = $fromdt;
  $mto_date = $todt;
  $fromdt = implode('-', array_reverse(explode('-', $fromdt)));
  $todt = implode('-', array_reverse(explode('-', $todt)));
  $mgrp = "";
  $mgrp1[]="";
  $mtotal1[]=0;
  $qry1=mysqli_query($db,"select distinct gname from prod_invoice where invdate between '$fromdt' and '$todt' and brcode='$brcode' and pmode='CREDIT' group by gname");
  $i=0;
    while($row=mysqli_fetch_array($qry1))
    {
    $mgrp .= "<th>".$row[0]."</th>";
    $mgrp1[$i++]=$row[0];
  }
  $grp_nos = $i;
  $qry=mysqli_query($db,"select invno,invdate,customer,gname,sum(befrtx),sum(taxamt),sum(nettot),sum(total) from prod_invoice where invdate between '$fromdt' and '$todt' and brcode='$brcode' and pmode='CREDIT' group by invno,gname");
       print "<table class='report' border='1'>";

  print "<tr><th COLSPAN=12>Credit Sale Report for the period from <$mfrom_date> to <$mto_date></th>";
  print "<tr><th>Bill No.</th><th>Bill Date</th><th>Party</th>".$mgrp."<th>Total(Before Rebate)</th><th>Tax</th><th>Net</th>";
  $i=1;
  $minvno = "";
  $mtotal = 0;
  $mtax = 0;
  $mnettot = 0;
  $mgr_total = 0;
  $mgr_tax = 0;
  $mgr_nettot = 0;
    while($row=mysqli_fetch_array($qry))
    {
    if($minvno <> $row[0])
    {
      if($i<>1)
      {
        for ($k=$mstart;$k<$grp_nos;$k++)
        {
          print "<td align='right'>0.00</td>";
        }
        $mgr_total += $mtotal;
        $mgr_tax += $mtax;
        $mgr_nettot += $mnettot;
        print "<td align='right'>$mtotal</td><td align='right'>$mtax</td><td align='right'>$mnettot</td>";
        $mtotal = 0;
        $mtax = 0;
        $mnettot = 0;
      }
      $invdt = implode('-', array_reverse(explode('-', $row[1])));

      print "<tr><td>".$row[0]."</td><td>$invdt</td><td>$row[2]</td>";
      $mstart = 0;
    }
    $key = array_search($row[3], $mgrp1);
    for ($k=$mstart;$k<$key;$k++)
    {
      print "<td align='right'>0.00</td>";
    }
    $mstart = $k+1;
    print "<td align='right'>$row[7]</td>";
    $mtotal1[$mstart] += $row[7];
    $mtotal += $row[7];
    $mtax += $row[5];
    $mnettot += $row[6];
    $mgr_total += $row[3];
    $i++;
    $minvno = $row[0];
  }
  for ($k=$mstart;$k<$grp_nos;$k++)
  {
    print "<td align='right'>0.00</td>";
  }
  $mgr_total += $mtotal;
  $mgr_tax += $mtax;
  $mgr_nettot += $mnettot;
  print "<td align='right'>$mtotal</td><td align='right'>$mtax</td><td align='right'>$mnettot</td>";
  print "<tr><td colspan=3><b>Grand Total </td>";
  for ($y=1;$y<$k+1;$y++)
  {
    print "<td align='right'>$mtotal1[$y]</td>";
  }
        $mgr_total=round($mgr_total,2);
        $mgr_tax=round($mgr_tax,2);
        $mgr_nettot=round($mgr_nettot,2);
  print "<td align='right'>$mgr_total</td><td align='right'>$mgr_tax</td><td align='right'>$mgr_nettot</td>";
  print "</table>";
}
?>
<script>
function printexc()
{
    var dfrom=document.f1.fromdt.value;
    var dto=document.f1.todt.value;
    document.location="creditsale_prn.php?dfrom="+dfrom+"&&dto="+dto,true;
}
function printexc_brf()
{
    var dfrom=document.f1.fromdt.value;
    var dto=document.f1.todt.value;
    document.location="creditsale_prn_brf.php?dfrom="+dfrom+"&&dto="+dto,true;
}
function printexcel()
{
    var dfrom=document.f1.fromdt.value;
    var dto=document.f1.todt.value;
    document.location="creditsale_excel.php?dfrom="+dfrom+"&&dto="+dto,true;
}
</script>